<?php
class ControllerModuleFeatured extends Controller {
	protected function index($setting) {
		$this->language->load('module/featured'); 


					
					    $this->data['status']=$this->config->get('futura_aviseme_status');
					
				
      	$this->data['heading_title'] = $this->language->get('heading_title');
		
		$this->data['button_cart'] = $this->language->get('button_cart');
		
		$this->data['button_wishlist'] = $this->language->get('button_wishlist');
		
		$this->data['button_compare'] = $this->language->get('button_compare');
		
		$this->load->model('catalog/product'); 
		
		$this->load->model('tool/image');

				
					$this->data['pagseguro_parcela']= $this->config->get('pagseguro_parcela');
				
			

		$this->data['products'] = array();

		$products = explode(',', $this->config->get('featured_product'));		

		if (empty($setting['limit'])) {
			$setting['limit'] = 5;
		}
		

          
			$this->data['futura_quantidade_atacado_status'] = $this->config->get('futura_quantidade_atacado_status');
		  
        
		$products = array_slice($products, 0, (int)$setting['limit']);
		
		foreach ($products as $product_id) {
			
					
					    
					    if(isset($this->data['status']) && ($this->data['status'])  ){
							$product_info = $this->model_catalog_product->getProduct($product_id,true);
						}else{
							$product_info = $this->model_catalog_product->getProduct($product_id);
						}	
					
				
			
			if ($product_info) {
				if ($product_info['image']) {
					$image = $this->model_tool_image->resize($product_info['image'], $setting['image_width'], $setting['image_height']);
				} else {
					
			
				$image = $this->model_tool_image->resize(($this->config->get('config_futura_img_padrao')) ? $this->config->get('config_futura_img_padrao') : 'data/sem-imagem.png', $setting['image_width'], $setting['image_height']);
			
			
				}
				
				//this for swap image
				
				$images = $this->model_catalog_product->getProductImages($product_info['product_id']);

            if(isset($images[0]['image']) && !empty($images[0]['image'])){
                  $images =$images[0]['image'];
               } 
			   
				//

				if (($this->config->get('config_customer_price') && $this->customer->isLogged()) || !$this->config->get('config_customer_price')) {
					$price = $this->currency->format($this->tax->calculate($product_info['price'], $product_info['tax_class_id'], $this->config->get('config_tax')));
				} else {
					$price = false;
				}
						
				if ((float)$product_info['special']) {
					$special = $this->currency->format($this->tax->calculate($product_info['special'], $product_info['tax_class_id'], $this->config->get('config_tax')));
				} else {
					$special = false;
				}
				
				if ($this->config->get('config_review_status')) {
					$rating = $product_info['rating'];
				} else {
					$rating = false;
				}	
			

			   
			  if (($this->config->get('futura_preco_dinamico_exibicoes'))){
				 $this->data['futura_preco_dinamico_exibicoes']= $this->config->get('futura_preco_dinamico_exibicoes');
			  }else{
					$this->data['futura_preco_dinamico_exibicoes']= 'echo \'R$ \'. number_format( $price_pr , 2,\',\',\'.\')
					.html_entity_decode(nl2br(\'<br> ou 3x de  R$ \'))
					.number_format( ($price_pr / 3) , 2,\',\',\'.\') ;';
			}
			
				$this->data['products'][] = array(
					'product_id' => $product_info['product_id'],

			  'price_pr' => $product_info['price'],
			
					'thumb'   	 => $image,
					'name'    	 => strlen($product_info['name']) > 55 ? mb_substr($product_info['name'],0,55,'UTF-8')."..." : $product_info['name'],
					'price'   	 => $price,
					'special' 	 => $special,
					'rating'     => $rating,
					'reviews'    => sprintf($this->language->get('text_reviews'), (int)$product_info['reviews']),

				'fator_perfil_pagseguro' => ($this->pagseguro->getPerfil($product_info['price']))? $this->pagseguro->getPerfil($product_info['price']): false ,
			
					'href'    	 => $this->url->link('product/product', 'product_id=' . $product_info['product_id']),
					// for swap image
				'thumb_swap'  => $this->model_tool_image->resize($images, $this->config->get('config_image_product_width'), $this->config->get('config_image_product_height')), 
				//
				// for saving percentage
				'saving'	=> round((($product_info['price'] - $product_info['special'])/$product_info['price'])*100, 0),
				//
				);
			}
		}

		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/module/featured.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/module/featured.tpl';
		} else {
			$this->template = 'default/template/module/featured.tpl';
		}

		$this->render();
	}
}
?>